org.springframework.batch.item.amqp.builder

## Class AmqpItemReaderBuilder<T>

- java.lang.Object
- - org.springframework.batch.item.amqp.builder.AmqpItemReaderBuilder<T>

-     public class AmqpItemReaderBuilder<T>
      extends java.lang.Object

  A builder implementation for the `AmqpItemReader`
  Since:
    4.0
  Author:
    Glenn Renfro
  See Also:
    `AmqpItemReader`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmqpItemReaderBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmqpItemReaderBuilder<T>` | `amqpTemplate(org.springframework.amqp.core.AmqpTemplate amqpTemplate)` Establish the amqpTemplate to be used by the AmqpItemReader.
    `AmqpItemReader<T>` | `build()` Validates and builds a `AmqpItemReader`.
    `AmqpItemReaderBuilder<T>` | `itemType(java.lang.Class<? extends T> itemType)` Establish the itemType for the reader.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AmqpItemReaderBuilder

          public AmqpItemReaderBuilder()

  - ### Method Detail

    - #### amqpTemplate

          public AmqpItemReaderBuilder<T> amqpTemplate(org.springframework.amqp.core.AmqpTemplate amqpTemplate)

      Establish the amqpTemplate to be used by the AmqpItemReader.
      Parameters:
        `amqpTemplate` - the template to be used.
      Returns:
        this instance for method chaining
      See Also:
        `AmqpItemReader.AmqpItemReader(AmqpTemplate)`

    - #### itemType

          public AmqpItemReaderBuilder<T> itemType(java.lang.Class<? extends T> itemType)

      Establish the itemType for the reader.
      Parameters:
        `itemType` - class type that will be returned by the reader.
      Returns:
        this instance for method chaining.
      See Also:
        `AmqpItemReader.setItemType(Class)`

    - #### build

          public AmqpItemReader<T> build()

      Validates and builds a `AmqpItemReader`.
      Returns:
        a `AmqpItemReader`